## LassoFederation LassoFederation — Principal federation between two providers |

## Functions

LassoFederation * | lasso_federation_new ()
void | lasso_federation_build_local_name_identifier ()
void | lasso_federation_destroy ()
gboolean | lasso_federation_verify_name_identifier ()

## Types and Values

struct | LassoFederation

## Description

A LassoFederation represents the an identifier shared by two provider, usually an identity provider and a service provider. Instance of this class are usually never accessed directly.

## Functions

### lasso_federation_new ()

    LassoFederation *
    lasso_federation_new (const gchar *remote_providerID);

Creates a new LassoFederation with the remote provider.

#### Parameters

remote_providerID | remote Provider ID |

#### Returns

a newly created LassoFederation

### lasso_federation_build_local_name_identifier ()

    void
    lasso_federation_build_local_name_identifier
                                   (LassoFederation *federation,
                                    const gchar *nameQualifier,
                                    const gchar *format,
                                    const gchar *content);

Builds federation local name identifier.

#### Parameters

federation | a LassoFederation |
nameQualifier | the name identifier qualifier |
format | the name identifier format |
content | the name identifier content |

### lasso_federation_destroy ()

    void
    lasso_federation_destroy (LassoFederation *federation);

Destroys a federation.

#### Parameters

federation | a LassoFederation |

### lasso_federation_verify_name_identifier ()

    gboolean
    lasso_federation_verify_name_identifier
                                   (LassoFederation *federation,
                                    LassoNode *name_identifier);

Checks whether federation is for `name_identifier` .

#### Parameters

federation | a LassoFederation |
name_identifier | the LassoSamlNameIdentifier |

#### Returns

`TRUE` if the federation is for `name_identifier` .

## Types and Values

### struct LassoFederation

    struct LassoFederation {
    	LassoNode parent;

    	gchar *remote_providerID;
    	LassoNode *local_nameIdentifier;
    	LassoNode *remote_nameIdentifier;
    };